## libtritonus-java 20070428

=== debian/changelog ===
libtritonus-java (20070428-9) unstable; urgency=low

  * Change maintainers into Maintainers.
  * Rename package libtritonus-bin to libtritonus-jni to conform to Java
    policy. Move that package into Section: libs.
  * Update Standards-Version: 3.9.1.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 22:05:29 +0200

libtritonus-java (20070428-8) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    + Add libjorbis-java to Build-Depends. (Closes: #562584)
    + Bump Standards-Version to 3.8.3
  * debian/rules: add jogg.jar & jorbis.jar to CLASSPATH.

  [ Niels Thykier ]
  * Changed section to java.
  * Replaced (C) with © in copyright.
  * Refer to LGPL-2 rather than the versionless version where able.

  [ Varun Hiremath ]
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Sun, 24 Jan 2010 18:11:36 -0500

libtritonus-java (20070428-7) unstable; urgency=low

  * Switch to default-jdk-builddep. (Closes: #477891)

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Apr 2008 17:57:38 +0200

libtritonus-java (20070428-6) unstable; urgency=low

  * Added patch to compile with alsa 1.0.16 and up. Closes: #470330
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Mon, 07 Apr 2008 09:58:19 +0200

libtritonus-java (20070428-5) unstable; urgency=low

  * Remove obsolete patch build.diff.
  * Move jni libraries to /usr/lib/jni according to Java policy.
  * Remove obsolete README.Debian.
  * Remove unneeded Build-Depends: ecj.
  * Bump up Standards-Version: 3.7.3 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Sat, 15 Dec 2007 21:10:18 +0100

libtritonus-java (20070428-4) unstable; urgency=low

  * Move package to pkg-java svn.
  * Switch to java-gcj-compat from kaffe
  * debian/control:
    + Set Priority to optional from extra.
    + Set Maintainer to Debian Java Maintainers and add myself to Uploaders.
    + Add Vcs-{Svn, Browser} Headers.
  * Update debian/patches/build.diff to use ecj instead of ecj-bootstrap (Closes: #447458)
  * Remove debian/patches/64_bit.diff - not required.
  * Update debian/patches/Makefile.diff to disable all -Werror.

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 22 Oct 2007 12:17:35 +0530

libtritonus-java (20070428-3) unstable; urgency=low

  [ Varun Hiremath ]
  * Add patches/64_bit.diff which might help to build on 64 bit architectures.

  [ Torsten Werner ]
  * Disable -Werror.
  * Enable -fPIC for fluidsynth.

 -- Torsten Werner <twerner@debian.org>  Tue, 10 Jul 2007 22:08:18 +0200

libtritonus-java (20070428-2) unstable; urgency=low

  * Move the architecture dependent files into a separate package
    'libtritonus-bin' because they are not needed by everyone.

 -- Torsten Werner <twerner@debian.org>  Fri,  1 Jun 2007 22:56:01 +0200

libtritonus-java (20070428-1) unstable; urgency=low

  * Initial release (Closes: #421642)

 -- Torsten Werner <twerner@debian.org>  Mon, 30 Apr 2007 21:16:24 +0200
