=== debian/control ===
Source: libtritonus-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>,
 Torsten Werner <twerner@debian.org>, Michael Koch <konqueror@gmx.de>
Build-Depends: cdbs, debhelper (>= 7), ant, autoconf,
 libasound2-dev | libasound-dev, libcdparanoia0-dev, libesd0-dev,
 libfluidsynth-dev, libjlayer-java, libogg-dev, libvorbis-dev,
 libtritonus-java, default-jdk, libjorbis-java
Standards-Version: 3.9.1
Homepage: http://tritonus.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libtritonus-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libtritonus-java

Package: libtritonus-java
Architecture: all
Depends: ${misc:Depends}
Recommends: libtritonus-jni (>= ${source:Version})
Description: implementation of the Java Sound API
 Tritonus is a clean room open source implementation of the Java Sound
 1.0 API for Linux.
 .
 This package ships the required jar files.

Package: libtritonus-jni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libtritonus-bin
Conflicts: libtritonus-bin
Replaces: libtritonus-bin
Description: implementation of the Java Sound API (jni shared libraries)
 Tritonus is a clean room open source implementation of the Java Sound
 1.0 API for Linux.
 .
 This package ships the optional jni shared libraries.
